# Changelogs

## Version: 3.0.0

Biggest update after release. Lots of new features and improvements.

5 January 2026

{% code fullWidth="false" %}

```
- Added the ability to add unlimited options. Previously, it was fixed at 4.
- Added quiz discussion feature with likes, dislikes, and reply options.
- Added live quizzes. Live exams can be taken with this.
- Added adaptive dark mode.
- Added my quizzes tab, where users can view their played quizzes. 
- Added the ability to show my answers and control the 'play again' button from the admin.
- Each quizplay will be saved now, and the admin can view the overview.
- Users can view their answers and statistics.
- Improved point history.
- Improved self-challenge mode with a random option. 
- Instant answers will be shown with question explanation for self-challenge mode.
- Added the login with phone option with OTP and removed Facebook login.
- Improved leaderboard screen. Now it will show all users' data asynchronously.
- Added skip option to the quiz settings, where users can skip any question while playing.
- Added instant answers and explanation feature to the quiz settings,
where right and wrong answers will show instantly after confirming any question. 
This can be enabled/disabled from the admin panel.
- Added Grid option layout for options where the admin can set a list or grid layout for options. 
This can be customized for each question from the admin panel.
- Improved quiz completed screen with congratulatory animation. 
Additionally, added an 'Incorrect Answers' button to review the incorrect answers.
- Improved quiz overview.
- Improved question explanation with all options.
- Updated with Flutter latest version 3.38.5 [app & admin]
```

{% endcode %}

Changed Files (Admin and App)

```
- Use the latest source code
- Changes in Database Security Rules (3.2)
- Changes in Database Index Setup (3.3)
```

## Version: 2.1.6

> 26 October 2025
>
> ```
> - Updated with flutter latest version 3.35.6 [app & admin]
> - Added support for 16 KB memory page size requiremnts for Google Play Store [app]
> ```

> Changed Files (Admin)
>
> ```
> - lib/components/category_dropdown.dart
> - lib/components/quiz_dropdown.dart
> - lib/components/set_quiz_order.dart
> - lib/forms/question_form/question_form.dart
> - lib/forms/quiz_form.dart
> - lib/providers/categories_provider.dart
> - lib/providers/menu_provider.dart
> - lib/providers/user_data_provider.dart
> - lib/providers/user_role_provider.dart
> - lib/tabs/categories/category_order.dart
> - lib/tabs/dashboard/purchase_bar_chart.dart
> - lib/tabs/dashboard/user_bar_chart.dart
> - lib/tabs/notifications/notifications.dart
> - lib/tabs/purchases/purchases.dart
> - lib/tabs/settings.dart
> - pubspec.yaml
> ```
>
> Changed Files (App)
>
> ```
> - android/app/build.gradle
> - android/gradle/wrapper/gradle-wrapper.properties
> - android/settings.gradle
> - ios/Podfile
> - pubspec.yaml
> ```

## Version: 2.1.4

> 05 May 2025
>
> ```
> - Updated with flutter latest version 3.32.0 [app & admin]
> ```

> Changed Files (Admin & App)
>
> ```
> - Many files have changed. It's better to use the new source code.
> ```

## Version: 2.1.3

> 21 November 2024
>
> ```
> - Fixed an issue where random question ordering weren't working [app]
> - Fixed youtube video issues [app]
> - Improved drag and drop question type [app] 
> - Updated with flutter latest version 3.24.5 [app & admin]
> ```

> Changed Files (App)
>
> ```
> - Many files have changed. It's better to use the new source code.
> ```

## Version: 2.1.2

> 08 June 2024
>
> ```
> - Removed firebase legacy api and added new recommended api for firebase push notifications. [admin]
> - Fix: Images in options and explanation were not showing [app] 
> - Updated with flutter latest version 3.22.1 [app & admin]
> ```

> Changed Files (Admin)
>
> New configurations for Notifications: [<mark style="color:purple;">Click here</mark>](https://docs.quizhour.mrb-lab.com/admin/3.-firebase-setup/3.4-push-notification-setup)
>
> ```
> - pubspec.yaml
> - analysis_options.yaml
> - web/index.html
> - lib/configs/fcm_config.dart (new file added)
> - lib/forms/notification_form.dart
> - lib/services/notification_service.dart
> - lib/utils/styles.dart
> ```

> Changed Files (App)
>
> ```
> - pubspec.yaml
> - lib/pages/home.dart
> - lib/pages/intro.dart
> - lib/pages/question_explaination.dart
> - lib/pages/question_overview.dart
> - lib/pages/quiz_screen/quiz_options.dart
> - lib/pages/settings.dart
> - lib/tabs/home_tab.dart
> ```

## Version: 2.1.0

Major update and recommended to all.

> 8 March 2024
>
> ```
> - Redesigned admin layout - A fresh new look, faster and smoother than before [admin]
> - Added the ability to import CSV questions (Upload questions in bulk) [admin]
> - Added a separate tab for purchases history and added purchases count [admin]
> - Added new question type - Fill in the blanks with draggable options
> - Added the ability to sort categories [admin]
> - Added user registration and purchases bar chart [admin]
> - Fixed home tab null issues [app]
> - Fixed issues on deleting accounts and logout [app]
> - Quizscreen next button placement and banner ads improvements [app]
> - Fix: Notification bar subtitle with show actual body content instead of 'Click to read more details' text
> - Fix: Image link validation in text fields were not working [admin]
> - 10+ bug fixes and UI improvements
> - Updated with Flutter latest version 3.19.x [app and admin]
> ```

> Changed Files (Admin)
>
> ```
> - pubspec.yaml
> - web/index.html
> - assets/
> - lib (all folders and files except configs/config.dart file)
> - firebase security rules are upadted.
> ```

> Changed Files (App)
>
> ```
> - pubspec.yaml
> - android/build.gradle
> - android/app/build.gradle (Android package name needs to be changed manually)
> - android/settings.gradle
> - assets/translations (Added a new key at the bottom of each JSON files)
> - lib/ (all folders except configs folder and firebase_options.dart file)
> ```

## Version: 2.0.2

Not recommended for existing buyers

> 19 November 2023
>
> ```
> - Updated with flutter latest version 3.16.x [app and admin]
> ```

> Changed Files (App)
>
> ```
> - lib/pages/home.dart
> - lib/pages/quiz_screen.dart
> - pubspec.yaml
> ```

Changed Files (Admin)

```
- pubspec.yaml
```

## Version: 2.0.1(hotfix-1)

Not recommended for existing buyers

> 17 October 2023
>
> ```
> - Updated with flutter latest version 3.13.7 [app and admin]
> ```

> Changed Files (App)
>
> ```
> - lib/pages/forgot_password.dart
> - lib/pages/login.dart
> - lib/pages/sign_up.dart
> - lib/services/app_service.dart
> - lib/widgets/html_body.dart
> - pubspec.yaml
> ```

Changed Files (Admin)

```
- pubspec.yaml
```

## Version: 2.0.1

> 20 August 2023
>
> ```
> - Fixed Youtube video player issue
> ```

> Changed Files (App)
>
> ```
> - lib/services/app_service.dart
> - lib/widgets/video_player_widget.dart
> - pubspec.yaml
> ```

## Version: 2.0.0(hotfix-1)

Not recommended for existing buyers

> 25 June 2023
>
> ```
> - Fixed count issues on updating quizzes and questions. [admin]
> - Fixed an issue where the timer on the quiz screen was always visible. [app]
> ```

## Version: 2.0.0

Major update and recommended to all.

> 22 May 2023
>
> ```
> - Added material 3 support [app]
> - Added quiz and question order [admin]
> - Added audio and video questions
> - Added image options
> - Added question explanation
> - Added question bookmark [app]
> - Added completed quizzes history
> - Added completed quizzes checkmark [app]
> - Added points history
> - Added user information view from admin panel [admin]
> - Added the ability to show 2 special categories and its quizzes in the home tab and which are controllable from the admin panel.
> - Added the ability to enable/disable optional features easily.
> - Added In-App-Purchase feature and points store: Ability to sell points to users (Extended license required)
> - Added the ability to edit user points from the admin panel [admin]
> - Fixed text wrapping issues on smaller screens [app]
> - Fixed font size issue in quiz details screen
> - Fixed the loading issue in the splash screen when users deleted their accounts.
> - From now, the Featured section will show featured categories instead of quizzes. [deprecated]
> - Fixed 10+ bugs
> - App UI Improvements
> - Admin UI Improvements
> - Updated with Flutter latest version v3.10.x
> - Updated all packages and more..
> ```

## Version: 1.0.6

Not recommended for existing buyers

> 30 April 2023
>
> ```
> - Updated with flutter latest version 3.7.x
> ```

## Version: 1.0.4

Not recommended for existing buyers

> 01 February 2023
>
> ```
> - Updated with flutter latest version 3.7.x
> ```

## Version: 1.0.3 (hotfix)

> 25 January 2023
>
> ```
> - Fixed loading issue in the splash screen
> ```

## Version: 1.0.3

> 17 January 2023
>
> ```
> - Initial release
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quizhour.mrb-lab.com/changelogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
